CREATE TABLE iby_fndcpt_sys_eft_pf_b (
    SYS_EFT_PROFILE_CODE             VARCHAR2(120) ,
    PAYMENT_SYSTEM_ID                NUMBER(18, 0)     NOT NULL,
    VERIFY_FORMAT_CODE               VARCHAR2(120) ,
    VERIFY_TRANS_PRTCL_CODE          VARCHAR2(120) ,
    VERIFY_ACK_RDR_CODE              VARCHAR2(120) ,
    FUNDS_XFER_FORMAT_CODE           VARCHAR2(120)     NOT NULL,
    FUNDS_XFER_TRANS_PRTCL_CODE      VARCHAR2(120) ,
    FUNDS_XFER_ACK_RDR_CODE          VARCHAR2(120) ,
    QUERY_FORMAT_CODE                VARCHAR2(120) ,
    QUERY_TRANS_PRTCL_CODE           VARCHAR2(120) ,
    QUERY_ACK_RDR_CODE               VARCHAR2(120) ,
    INACTIVE_DATE                    DATE          ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SETTLE_REQUIRE_VRFY_FLAG         VARCHAR2(4)   ,
    GROUP_BY_ORG                     VARCHAR2(4)   ,
    GROUP_BY_LEGAL_ENTITY            VARCHAR2(4)   ,
    GROUP_BY_INT_BANK_ACCOUNT        VARCHAR2(4)   ,
    GROUP_BY_SETTLEMENT_CURR         VARCHAR2(4)   ,
    GROUP_BY_SETTLEMENT_DATE         VARCHAR2(4)   ,
    LIMIT_BY_AMT_CURR                VARCHAR2(40)  ,
    LIMIT_BY_EXCH_RATE_TYPE          VARCHAR2(1020),
    LIMIT_BY_TOTAL_AMT               NUMBER        ,
    LIMIT_BY_SETTLEMENT_NUM          NUMBER        ,
    SETTLEMENT_COMPLETE_POINT        VARCHAR2(200) ,
    OVERRIDE_PAYER_DELIVERY_FLAG     VARCHAR2(4)   ,
    PAYER_NOTIFICATION_FORMAT        VARCHAR2(120) ,
    PAYER_NOTIFICATION_DEL_METHOD    VARCHAR2(400) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ACCOMPANY_LETTER_FORMAT          VARCHAR2(120) ,
    AUTOMATIC_PN_SUBMIT_FLAG         VARCHAR2(4)   ,
    START_DATE                       DATE              NOT NULL,
    END_DATE                         DATE              NOT NULL,
    PAYER_NOTIFICATION_CONDITION     VARCHAR2(1020),
    PAYER_NOTIFY_INVOICES_COUNT      NUMBER        ,
    REQUIRES_PRE_NOTIFICATION        VARCHAR2(4)   ,
    SETTLEMENT_FILE_DIRECTORY        VARCHAR2(1020),
    SETTLEMENT_FILE_EXTENSION        VARCHAR2(1020),
    SETTLEMENT_FILE_PREFIX           VARCHAR2(1020),
    BATCH_BOOKING_FLAG               VARCHAR2(4)   ,
    ACK_INFER_TYPE                   VARCHAR2(120) ,
    LOGICAL_GROUPING_MODE            VARCHAR2(120) ,
    LOCALINSTR                       VARCHAR2(140) ,
    SERVICE_LEVEL                    VARCHAR2(140) ,
    PURPOSE_CODE                     VARCHAR2(120) ,
    EXTERNAL_SETTLEMENT_FLAG         VARCHAR2(4)   ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    SYS_EFT_PROFILE_CODE             VARCHAR2(120) ,
    PAYMENT_SYSTEM_ID                NUMBER(18, 0)     NOT NULL,
    VERIFY_FORMAT_CODE               VARCHAR2(120) ,
    VERIFY_TRANS_PRTCL_CODE          VARCHAR2(120) ,
    VERIFY_ACK_RDR_CODE              VARCHAR2(120) ,
    FUNDS_XFER_FORMAT_CODE           VARCHAR2(120)     NOT NULL,
    FUNDS_XFER_TRANS_PRTCL_CODE      VARCHAR2(120) ,
    FUNDS_XFER_ACK_RDR_CODE          VARCHAR2(120) ,
    QUERY_FORMAT_CODE                VARCHAR2(120) ,
    QUERY_TRANS_PRTCL_CODE           VARCHAR2(120) ,
    QUERY_ACK_RDR_CODE               VARCHAR2(120) ,
    INACTIVE_DATE                    DATE          ,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    SETTLE_REQUIRE_VRFY_FLAG         VARCHAR2(4)   ,
    GROUP_BY_ORG                     VARCHAR2(4)   ,
    GROUP_BY_LEGAL_ENTITY            VARCHAR2(4)   ,
    GROUP_BY_INT_BANK_ACCOUNT        VARCHAR2(4)   ,
    GROUP_BY_SETTLEMENT_CURR         VARCHAR2(4)   ,
    GROUP_BY_SETTLEMENT_DATE         VARCHAR2(4)   ,
    LIMIT_BY_AMT_CURR                VARCHAR2(40)  ,
    LIMIT_BY_EXCH_RATE_TYPE          VARCHAR2(1020),
    LIMIT_BY_TOTAL_AMT               NUMBER        ,
    LIMIT_BY_SETTLEMENT_NUM          NUMBER        ,
    SETTLEMENT_COMPLETE_POINT        VARCHAR2(200) ,
    OVERRIDE_PAYER_DELIVERY_FLAG     VARCHAR2(4)   ,
    PAYER_NOTIFICATION_FORMAT        VARCHAR2(120) ,
    PAYER_NOTIFICATION_DEL_METHOD    VARCHAR2(400) ,
    ATTRIBUTE_CATEGORY               VARCHAR2(600) ,
    ATTRIBUTE1                       VARCHAR2(600) ,
    ATTRIBUTE2                       VARCHAR2(600) ,
    ATTRIBUTE3                       VARCHAR2(600) ,
    ATTRIBUTE4                       VARCHAR2(600) ,
    ATTRIBUTE5                       VARCHAR2(600) ,
    ATTRIBUTE6                       VARCHAR2(600) ,
    ATTRIBUTE7                       VARCHAR2(600) ,
    ATTRIBUTE8                       VARCHAR2(600) ,
    ATTRIBUTE9                       VARCHAR2(600) ,
    ATTRIBUTE10                      VARCHAR2(600) ,
    ATTRIBUTE11                      VARCHAR2(600) ,
    ATTRIBUTE12                      VARCHAR2(600) ,
    ATTRIBUTE13                      VARCHAR2(600) ,
    ATTRIBUTE14                      VARCHAR2(600) ,
    ATTRIBUTE15                      VARCHAR2(600) ,
    ACCOMPANY_LETTER_FORMAT          VARCHAR2(120) ,
    AUTOMATIC_PN_SUBMIT_FLAG         VARCHAR2(4)   ,
    START_DATE                       DATE              NOT NULL,
    END_DATE                         DATE              NOT NULL,
    PAYER_NOTIFICATION_CONDITION     VARCHAR2(1020),
    PAYER_NOTIFY_INVOICES_COUNT      NUMBER        ,
    SETTLEMENT_FILE_DIRECTORY        VARCHAR2(1020),
    SETTLEMENT_FILE_EXTENSION        VARCHAR2(1020),
    SETTLEMENT_FILE_PREFIX           VARCHAR2(1020),
    REQUIRES_PRE_NOTIFICATION        VARCHAR2(4)   ,
    BATCH_BOOKING_FLAG               VARCHAR2(4)   ,
    ACK_INFER_TYPE                   VARCHAR2(120) ,
    LOGICAL_GROUPING_MODE            VARCHAR2(120) ,
    LOCALINSTR                       VARCHAR2(140) ,
    SERVICE_LEVEL                    VARCHAR2(140) ,
    PURPOSE_CODE                     VARCHAR2(120) ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    EXTERNAL_SETTLEMENT_FLAG         VARCHAR2(4)   ,
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iby_fndcpt_sys_eft_pf_b PRIMARY KEY (SYS_EFT_PROFILE_CODE, SYS_EFT_PROFILE_CODE)
);
